View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000501Ecere SDKcompilerpublic2010-07-26 20:322014-05-23 09:53
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000501: Picture.ec: memory leaks (compiler)
DescriptionMemory leaks when compiling (But not when parsing in IDE)
TagsNo tags attached.
Attached Files

- Relationships
related to 0000154closedjerome The IDE Leaks a lot 
related to 0000821closedjerome memory leaks 

-  Notes
(0001295)
jerome (administrator)
2014-05-19 01:28

These and other leaks found compiling other source files fixed by:
https://github.com/ecere/ecere-sdk/commit/bdcb35cf9dde775d3efb92b24be52ea18a7bed56 [^]
https://github.com/ecere/ecere-sdk/commit/6d5c2aa49f7d6b4c2c1e0dbc17d1ea390558b549 [^]
https://github.com/ecere/ecere-sdk/commit/220a0e2b26f0b1b27317bf64e157f38b01ef2a47 [^]
(0001310)
jerome (administrator)
2014-05-23 09:53

Tweaked by:
https://github.com/ecere/ecere-sdk/commit/9a82c663dc4d476d74b9325c0ad40bd871617276 [^]

- Issue History
Date Modified Username Field Change
2010-07-26 20:32 redj New Issue
2010-07-26 20:32 redj Relationship added child of 0000429
2010-07-26 20:50 jerome Relationship added related to 0000154
2012-03-08 15:44 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:41 redj Relationship deleted child of 0000429
2012-03-29 07:53 redj Category => Ecere Runtime Library
2012-03-29 07:53 redj Project @1@ => Ecere SDK
2012-03-29 08:26 redj Summary runtime: Picture.ec: memory leaks => Picture.ec: memory leaks
2013-04-24 03:31 jerome Target Version 0.45 Ginkakuji => 0.44.1 64
2013-04-24 04:22 redj Relationship added related to 0000821
2013-04-24 07:24 jerome Description Updated
2013-04-24 07:38 jerome Summary Picture.ec: memory leaks => Picture.ec: memory leaks (compiler)
2013-04-24 07:38 jerome Description Updated
2014-04-30 08:59 jerome Target Version 0.44.12 Fixes => 0.44.10 64
2014-04-30 09:00 jerome Status new => assigned
2014-04-30 09:00 jerome Assigned To => jerome
2014-05-01 08:41 jerome Category ecere => compiler
2014-05-19 01:28 jerome Status assigned => resolved
2014-05-19 01:28 jerome Fixed in Version => 0.44.10 64
2014-05-19 01:28 jerome Resolution open => fixed
2014-05-19 01:28 jerome Note Added: 0001295
2014-05-19 01:32 jerome Status resolved => closed
2014-05-23 09:53 jerome Note Added: 0001310



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker